com.genesyslab.wfm8.API.service.config851

## Class CfgRotationHolder

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config851.CfgRotationHolder

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgRotationHolder
      extends java.lang.Object
      implements java.io.Serializable

  CfgRotationHolder contains the response to the request to load Rotating Pattern information(`CfgRotation` or `CfgRotationShort` object).
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<CfgActivityShort>` | `activityInfo` An array containing description of information for all activities assigned to the returned Rotating Patterns.
    `protected int` | `activityInfoNSizeIs` Number of elements in activityInfo array
    `protected java.util.List<CfgRotation>` | `objectArray` An array of `CfgRotation` objects, returned if request specifies ECfgInfoType.CFG_INFO_OBJECT detail level
    `protected int` | `objectArrayNSizeIs` Number of elements in the objectArray array
    `protected java.util.List<java.lang.Integer>` | `objectIDArray` An array of Rotating Pattern IDs, returned if request specifies ECfgInfoType.CFG_INFO_OBJECT_ID detail level
    `protected int` | `objectIDArrayNSizeIs` Number of elements in the objectIDArray array
    `protected java.util.List<CfgRotationShort>` | `objectShortArray` An array of `CfgRotationShort` objects, returned if request specifies ECfgInfoType.CFG_INFO_OBJECT_SHORT detail level
    `protected int` | `objectShortArrayNSizeIs` Number of elements in the objectShortArray array
    `private static long` | `serialVersionUID`
    `protected java.util.List<CfgShiftShort>` | `shiftInfo` A list containing description of information for all shifts assigned to the returned Rotating Patterns.
    `protected int` | `shiftInfoNSizeIs` Number of elements in shiftInfo array
    `protected long` | `timestamp` A timestamp value -- marks the point in time when response information was returned

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgRotationHolder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<CfgActivityShort>` | `getActivityInfo()` Gets the value of the activityInfo property.
    `int` | `getActivityInfoNSizeIs()` Gets the value of the activityInfoNSizeIs property.
    `java.util.List<CfgRotation>` | `getObjectArray()` Gets the value of the objectArray property.
    `int` | `getObjectArrayNSizeIs()` Gets the value of the objectArrayNSizeIs property.
    `java.util.List<java.lang.Integer>` | `getObjectIDArray()` Gets the value of the objectIDArray property.
    `int` | `getObjectIDArrayNSizeIs()` Gets the value of the objectIDArrayNSizeIs property.
    `java.util.List<CfgRotationShort>` | `getObjectShortArray()` Gets the value of the objectShortArray property.
    `int` | `getObjectShortArrayNSizeIs()` Gets the value of the objectShortArrayNSizeIs property.
    `java.util.List<CfgShiftShort>` | `getShiftInfo()` Gets the value of the shiftInfo property.
    `int` | `getShiftInfoNSizeIs()` Gets the value of the shiftInfoNSizeIs property.
    `long` | `getTimestamp()` Gets the value of the timestamp property.
    `int` | `hashCode()`
    `void` | `setActivityInfo(java.util.List<CfgActivityShort> activityInfo)` Sets the value of the activityInfo property.
    `void` | `setActivityInfoNSizeIs(int value)` Sets the value of the activityInfoNSizeIs property.
    `void` | `setObjectArray(java.util.List<CfgRotation> objectArray)` Sets the value of the objectArray property.
    `void` | `setObjectArrayNSizeIs(int value)` Sets the value of the objectArrayNSizeIs property.
    `void` | `setObjectIDArray(java.util.List<java.lang.Integer> objectIDArray)` Sets the value of the objectIDArray property.
    `void` | `setObjectIDArrayNSizeIs(int value)` Sets the value of the objectIDArrayNSizeIs property.
    `void` | `setObjectShortArray(java.util.List<CfgRotationShort> objectShortArray)` Sets the value of the objectShortArray property.
    `void` | `setObjectShortArrayNSizeIs(int value)` Sets the value of the objectShortArrayNSizeIs property.
    `void` | `setShiftInfo(java.util.List<CfgShiftShort> shiftInfo)` Sets the value of the shiftInfo property.
    `void` | `setShiftInfoNSizeIs(int value)` Sets the value of the shiftInfoNSizeIs property.
    `void` | `setTimestamp(long value)` Sets the value of the timestamp property.
    `java.lang.String` | `toString()`
    `CfgRotationHolder` | `withActivityInfo(CfgActivityShort... values)`
    `CfgRotationHolder` | `withActivityInfo(java.util.Collection<CfgActivityShort> values)`
    `CfgRotationHolder` | `withActivityInfoNSizeIs(int value)`
    `CfgRotationHolder` | `withObjectArray(CfgRotation... values)`
    `CfgRotationHolder` | `withObjectArray(java.util.Collection<CfgRotation> values)`
    `CfgRotationHolder` | `withObjectArrayNSizeIs(int value)`
    `CfgRotationHolder` | `withObjectIDArray(java.util.Collection<java.lang.Integer> values)`
    `CfgRotationHolder` | `withObjectIDArray(java.lang.Integer... values)`
    `CfgRotationHolder` | `withObjectIDArrayNSizeIs(int value)`
    `CfgRotationHolder` | `withObjectShortArray(CfgRotationShort... values)`
    `CfgRotationHolder` | `withObjectShortArray(java.util.Collection<CfgRotationShort> values)`
    `CfgRotationHolder` | `withObjectShortArrayNSizeIs(int value)`
    `CfgRotationHolder` | `withShiftInfo(CfgShiftShort... values)`
    `CfgRotationHolder` | `withShiftInfo(java.util.Collection<CfgShiftShort> values)`
    `CfgRotationHolder` | `withShiftInfoNSizeIs(int value)`
    `CfgRotationHolder` | `withTimestamp(long value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### objectIDArrayNSizeIs

          protected int objectIDArrayNSizeIs

      Number of elements in the objectIDArray array

    - #### objectIDArray

          protected java.util.List<java.lang.Integer> objectIDArray

      An array of Rotating Pattern IDs, returned if request specifies ECfgInfoType.CFG_INFO_OBJECT_ID detail level

    - #### objectArrayNSizeIs

          protected int objectArrayNSizeIs

      Number of elements in the objectArray array

    - #### objectArray

          protected java.util.List<CfgRotation> objectArray

      An array of `CfgRotation` objects, returned if request specifies ECfgInfoType.CFG_INFO_OBJECT detail level

    - #### objectShortArrayNSizeIs

          protected int objectShortArrayNSizeIs

      Number of elements in the objectShortArray array

    - #### objectShortArray

          protected java.util.List<CfgRotationShort> objectShortArray

      An array of `CfgRotationShort` objects, returned if request specifies ECfgInfoType.CFG_INFO_OBJECT_SHORT detail level

    - #### activityInfoNSizeIs

          protected int activityInfoNSizeIs

      Number of elements in activityInfo array

    - #### activityInfo

          protected java.util.List<CfgActivityShort> activityInfo

      An array containing description of information for all activities assigned to the returned Rotating Patterns. This is returned only if request specifies provideActivityInfo = true

    - #### shiftInfoNSizeIs

          protected int shiftInfoNSizeIs

      Number of elements in shiftInfo array

    - #### shiftInfo

          protected java.util.List<CfgShiftShort> shiftInfo

      A list containing description of information for all shifts assigned to the returned Rotating Patterns. This is returned only if request specifies provideShiftInfo = true

    - #### timestamp

          protected long timestamp

      A timestamp value -- marks the point in time when response information was returned

  - ### Constructor Detail

    - #### CfgRotationHolder

          public CfgRotationHolder()

  - ### Method Detail

    - #### getObjectIDArrayNSizeIs

          public int getObjectIDArrayNSizeIs()

      Gets the value of the objectIDArrayNSizeIs property.

    - #### setObjectIDArrayNSizeIs

          public void setObjectIDArrayNSizeIs(int value)

      Sets the value of the objectIDArrayNSizeIs property.

    - #### getObjectIDArray

          public java.util.List<java.lang.Integer> getObjectIDArray()

      Gets the value of the objectIDArray property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the objectIDArray property.

      For example, to add a new item, do as follows:

              getObjectIDArray().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getObjectArrayNSizeIs

          public int getObjectArrayNSizeIs()

      Gets the value of the objectArrayNSizeIs property.

    - #### setObjectArrayNSizeIs

          public void setObjectArrayNSizeIs(int value)

      Sets the value of the objectArrayNSizeIs property.

    - #### getObjectArray

          public java.util.List<CfgRotation> getObjectArray()

      Gets the value of the objectArray property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the objectArray property.

      For example, to add a new item, do as follows:

              getObjectArray().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgRotation`

    - #### getObjectShortArrayNSizeIs

          public int getObjectShortArrayNSizeIs()

      Gets the value of the objectShortArrayNSizeIs property.

    - #### setObjectShortArrayNSizeIs

          public void setObjectShortArrayNSizeIs(int value)

      Sets the value of the objectShortArrayNSizeIs property.

    - #### getObjectShortArray

          public java.util.List<CfgRotationShort> getObjectShortArray()

      Gets the value of the objectShortArray property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the objectShortArray property.

      For example, to add a new item, do as follows:

              getObjectShortArray().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgRotationShort`

    - #### getActivityInfoNSizeIs

          public int getActivityInfoNSizeIs()

      Gets the value of the activityInfoNSizeIs property.

    - #### setActivityInfoNSizeIs

          public void setActivityInfoNSizeIs(int value)

      Sets the value of the activityInfoNSizeIs property.

    - #### getShiftInfoNSizeIs

          public int getShiftInfoNSizeIs()

      Gets the value of the shiftInfoNSizeIs property.

    - #### setShiftInfoNSizeIs

          public void setShiftInfoNSizeIs(int value)

      Sets the value of the shiftInfoNSizeIs property.

    - #### getActivityInfo

          public java.util.List<CfgActivityShort> getActivityInfo()

      Gets the value of the activityInfo property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the activityInfo property.

      For example, to add a new item, do as follows:

              getActivityInfo().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgActivityShort`

    - #### getShiftInfo

          public java.util.List<CfgShiftShort> getShiftInfo()

      Gets the value of the shiftInfo property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the shiftInfo property.

      For example, to add a new item, do as follows:

              getShiftInfo().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgShiftShort`

    - #### getTimestamp

          public long getTimestamp()

      Gets the value of the timestamp property.

    - #### setTimestamp

          public void setTimestamp(long value)

      Sets the value of the timestamp property.

    - #### withObjectIDArrayNSizeIs

          public CfgRotationHolder withObjectIDArrayNSizeIs(int value)

    - #### withObjectIDArray

          public CfgRotationHolder withObjectIDArray(java.lang.Integer... values)

    - #### withObjectIDArray

          public CfgRotationHolder withObjectIDArray(java.util.Collection<java.lang.Integer> values)

    - #### withObjectArrayNSizeIs

          public CfgRotationHolder withObjectArrayNSizeIs(int value)

    - #### withObjectArray

          public CfgRotationHolder withObjectArray(CfgRotation... values)

    - #### withObjectArray

          public CfgRotationHolder withObjectArray(java.util.Collection<CfgRotation> values)

    - #### withObjectShortArrayNSizeIs

          public CfgRotationHolder withObjectShortArrayNSizeIs(int value)

    - #### withObjectShortArray

          public CfgRotationHolder withObjectShortArray(CfgRotationShort... values)

    - #### withObjectShortArray

          public CfgRotationHolder withObjectShortArray(java.util.Collection<CfgRotationShort> values)

    - #### withActivityInfoNSizeIs

          public CfgRotationHolder withActivityInfoNSizeIs(int value)

    - #### withActivityInfo

          public CfgRotationHolder withActivityInfo(CfgActivityShort... values)

    - #### withActivityInfo

          public CfgRotationHolder withActivityInfo(java.util.Collection<CfgActivityShort> values)

    - #### withTimestamp

          public CfgRotationHolder withTimestamp(long value)

    - #### withShiftInfo

          public CfgRotationHolder withShiftInfo(CfgShiftShort... values)

    - #### withShiftInfo

          public CfgRotationHolder withShiftInfo(java.util.Collection<CfgShiftShort> values)

    - #### withShiftInfoNSizeIs

          public CfgRotationHolder withShiftInfoNSizeIs(int value)

    - #### setObjectIDArray

          public void setObjectIDArray(java.util.List<java.lang.Integer> objectIDArray)

      Sets the value of the objectIDArray property.
      Parameters:
        `objectIDArray` - allowed object is `Integer`

    - #### setObjectArray

          public void setObjectArray(java.util.List<CfgRotation> objectArray)

      Sets the value of the objectArray property.
      Parameters:
        `objectArray` - allowed object is `CfgRotation`

    - #### setObjectShortArray

          public void setObjectShortArray(java.util.List<CfgRotationShort> objectShortArray)

      Sets the value of the objectShortArray property.
      Parameters:
        `objectShortArray` - allowed object is `CfgRotationShort`

    - #### setActivityInfo

          public void setActivityInfo(java.util.List<CfgActivityShort> activityInfo)

      Sets the value of the activityInfo property.
      Parameters:
        `activityInfo` - allowed object is `CfgActivityShort`

    - #### setShiftInfo

          public void setShiftInfo(java.util.List<CfgShiftShort> shiftInfo)

      Sets the value of the shiftInfo property.
      Parameters:
        `shiftInfo` - allowed object is `CfgShiftShort`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.